<?php
$menu=array(
	'main'=>array(
			'name'=>'管理首页',
			'action'=>'main',
			'sub'=>array(
					array(
							'name'=>'产品管理',
							'action'=>array('?m=offer&s=admin_offer'=>'发布产品','?m=offer&s=admin_offer_list'=>'管理产品'),
						),
					array(
							'name'=>'求购管理',
							'action'=>array('?m=buy&s=admin_buy'=>'发布求购','?m=buy&s=admin_buy_list'=>'管理求购'),
						),
					array(
							'name'=>'企业信息',
							'action'=>array('?m=company&s=myshop'=>'完善资料','?m=sns&s=admin_myfavorite'=>'我的收藏'),
						),
			),
		),
	'info'=>array(
			'name'=>'信息管理',
	),
	'inquire'=>array(
			'name'=>'商机管理',
			'sub'=>array(
					array(
						'name'=>'商机快递',
						'action'=>array('admin_subscribe'=>'订阅管理'),
					),
			),	
	),
	'user'=>array(
			'name'=>'会员账户',
			'sub'=>array(
					array(
						'name'=>'个人信息',
						'action'=>array(
							'admin_personal'=>'个人资料',
							'admin_subuser'=>'子账号',
							'setpassword'=>'设置密码',
						),
					),
			),	
		),
	'shop'=>array(
			'name'=>'店铺设置',
			'sub'=>array(
					
			),	
		),

);
//----------------------
$dir=$config['webroot'].'/module/';
$handle = opendir($dir); 
while ($filename = readdir($handle))
{ 
	if($filename!="."&&$filename!="..")
	{
	  if(file_exists($dir.$filename.'/config.php'))
	  { 
		 include_once("$dir/$filename/config.php");
	  }
   }
}
foreach($menu as $key=>$v)
{
	if(isset($menu[$key]['sub']))
	{
		
		foreach($menu[$key]['sub'] as $sv)
		{
			foreach($sv['action'] as $sskey=>$ssv)
			{
				if($sskey==$_GET['action']||$sskey=='?m='.$_GET['m'].'&s='.$_GET['s'])
					$cmenu=$key;
			}
		}
		ksort($menu[$key]['sub']);
	}
	if(isset($admin))
	{//只有在admin情况下才调用。
		if(isset($right))
		{	//如果配置了会员模块，就删除超出权限的数组
			if(!in_array($v['name'],$right))
			{
				unset($menu[$key]);
			}
			if(is_array($v['sub']))
			{
				foreach($v['sub'] as $skey=>$sv)
				{
					if(!in_array($sv['name'],$right))
					{
						unset($menu[$key]['sub'][$skey]);
					}
				}
			}
		}
		if($key!='main'&&is_array($menu[$key]['sub']))
		{
			$act=each($menu[$key]['sub']);$subkey=$act['key'];//取出第一个下标
			$act=@each($menu[$key]['sub'][$subkey]['action']);
			$menu[$key]['action']=$act['key'];
		}
	}
}
//----------------------
if(isset($tpl))
{
	$cmenu=!empty($cmenu)?$cmenu:'main';
	$tpl->assign("submenu",$menu[$cmenu]);
	$tpl->assign("menu",$menu);
	$tpl->assign("cmenu",$cmenu);
}
?>